Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class State

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.dynamics.EModelRoleSupport
              biouml.model.dynamics.State

All Implemented Interfaces:
  EModelRole, ExpressionOwner, Role

public class State
extends EModelRoleSupport
implements ExpressionOwner

Field Summary
`protected Assignment[]` | `onEntryAssignment`
`protected Assignment[]` | `onExitAssignment`

Fields inherited from class biouml.model.dynamics.EModelRoleSupport
`comment`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`State(DiagramElement de)`

Method Summary
`void` | `addOnEntryAssignment(Assignment ea, boolean fireEvent)`
`void` | `addOnExitAssignment(Assignment ea, boolean fireEvent)`
`java.lang.String[]` | `getExpressions()` Returns all owned mathematical expressions.
`Assignment[]` | `getOnEntryAssignment()`
`Assignment` | `getOnEntryAssignment(int i)`
`Assignment[]` | `getOnExitAssignment()`
`Assignment` | `getOnExitAssignment(int i)`
`EModelRole` | `getRole()` Return role object essential to variables name resolving.
`boolean` | `isExpression(java.lang.String propertyName)` Returns true if property contains string that should be parsed as mathematical expression.
`void` | `setOnEntryAssignment(Assignment[] onEntryAssignment)`
`void` | `setOnEntryAssignment(int i, Assignment onEntryAssignment)`
`void` | `setOnExitAssignment(Assignment[] onExitAssignment)`
`void` | `setOnExitAssignment(int i, Assignment onExitAssignment)`
`java.lang.String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### onEntryAssignment

    protected Assignment[] onEntryAssignment

### onExitAssignment

    protected Assignment[] onExitAssignment

Constructor Detail

### State

    public State(DiagramElement de)

Method Detail

### toString

    public java.lang.String toString()

### getOnEntryAssignment

    public Assignment[] getOnEntryAssignment()

### getOnEntryAssignment

    public Assignment getOnEntryAssignment(int i)

### setOnEntryAssignment

    public void setOnEntryAssignment(Assignment[] onEntryAssignment)

### setOnEntryAssignment

    public void setOnEntryAssignment(int i,
                                     Assignment onEntryAssignment)

### addOnEntryAssignment

    public void addOnEntryAssignment(Assignment ea,
                                     boolean fireEvent)

### getOnExitAssignment

    public Assignment[] getOnExitAssignment()

### getOnExitAssignment

    public Assignment getOnExitAssignment(int i)

### setOnExitAssignment

    public void setOnExitAssignment(Assignment[] onExitAssignment)

### setOnExitAssignment

    public void setOnExitAssignment(int i,
                                    Assignment onExitAssignment)

### addOnExitAssignment

    public void addOnExitAssignment(Assignment ea,
                                    boolean fireEvent)

### isExpression

    public boolean isExpression(java.lang.String propertyName)

  Description copied from interface: `ExpressionOwner`
  Returns true if property contains string that should be parsed as mathematical expression.

  Specified by:
    `isExpression` in interface `ExpressionOwner`

### getExpressions

    public java.lang.String[] getExpressions()

  Description copied from interface: `ExpressionOwner`
  Returns all owned mathematical expressions. Currently this methods is used to remove unused parameters.

  Specified by:
    `getExpressions` in interface `ExpressionOwner`

### getRole

    public EModelRole getRole()

  Description copied from interface: `ExpressionOwner`
  Return role object essential to variables name resolving.

  Specified by:
    `getRole` in interface `ExpressionOwner`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.